# Retrieve a debit memo Retrieve the details of a specific Debit Memo object. Endpoint: GET /object-query/debit-memos/{key} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `key` (string, required) Object ID or Number. ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. - `expand[]` (array) Allows you to expand responses by including related object information in a single call. Enum: "account", "billtocontact", "billtocontactsnapshot", "soldtocontactsnapshot", "shiptocontactsnapshot", "debitmemoitems", "debitmemoitems.subscription", "debitmemoitems.subscription.account" - `filter[]` (array) A case-insensitive filter on the list. - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `id` (string) The unique identifier of the debit memo. - `createdById` (string) The unique identifier of the user who created the debit memo. - `createdDate` (string) The date and time when the debit memo was created. - `updatedById` (string) The unique identifier of the user who last updated the debit memo. - `updatedDate` (string) The date and time when the debit memo was last updated. - `autoPay` (boolean) Whether debit memos are automatically picked up for processing in the corresponding payment run. By default, debit memos are automatically picked up for processing in the corresponding payment run. - `creditMemoId` (string,null) The ID of the credit memo from which the debit memo was created. - `balance` (number) The remaining balance of debit memo. - `billToContactId` (string) The ID of the bill-to contact associated with the debit memo. The value of this field is null if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled. - `billToContactSnapshotId` (string) The ID of the bill-to contact snapshot associated with the debit memo. The value of this field is null if the bill rule [Preserve snapshot of bill-to and sold-to contacts when billing documents are posted](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Invoicing/Billing_Settings/Define_Billing_Rules#Preserve_snapshot_of_bill-to_and_sold-to_contacts_when_billing_documents_are_posted) is disabled. - `cancelledById` (string,null) The ID of the Zuora user who cancelled the debit memo. - `cancelledOn` (string,null) The date and time when the debit memo was cancelled, in yyyy-mm-dd hh:mm:ss format. - `comments` (string) Comments about the debit memo. - `currency` (string,null) The currency of the debit memo. Note: By default, the currency on a billing document matches the default currency set on the associated account. However, Zuora now offers a Multiple Currencies feature to support different currencies for billing documents, allowing flexibility beyond the account-level currency. For more information, see Multiple Currency. - `discountAmount` (number) The amount of the discount on the debit memo. - `dueDate` (string) The date by which the payment for the debit memo is due, in yyyy-mm-dd format. - `einvoiceErrorCode` (string) The error code returned when the e-invoice file status is Failed. This code can either be a Zuora-generated error code or one returned by a third-party e-invoicing service provider. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `einvoiceErrorMessage` (string) The error message returned when the e-invoice file status is Failed. This message can either be a Zuora-generated error message or one returned by a third-party e-invoicing service provider. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `einvoiceFileId` (string) The ID of the e-invoice file generated for the debit memo. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `einvoiceStatus` (string) The status of the e-invoice file generation for the credit memo. - If e-invoice file generation succeeds, this field is either Generated or Success, and both the error code and message are empty, and the eInvoiceFileId field stores the ID of the generated e-invoice file. - If the responses from tax vendors such as Sovos or Avalara are taking too long, this field becomes RetrieveTimeOut. Once the vendor responds successfully, you can use the 'Resync E-Invoice Status' action to update the status automatically. You can view these updates in System Health telemetry. - If a failure occurs during e-invoice file generation, this field is Failed and an error code and an error message are returned respectively in the einvoiceErrorCode and einvoiceErrorMessage fields. - If e-invoice file generation conditionally succeeds, this field is ConditionalSuccess and an error code and an error message are returned respectively in the einvoiceErrorCode and einvoiceErrorMessage fields. - If the e-invoice file has been approved by the tax authority, this field is ApprovedByAuthority. The next status will be either Success or Rejected. - If the e-invoice file has been rejected by the government, this field is Rejected. You cannot resend this e-invoice; you must create a new invoice instead. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. Enum: "Processing", "RetrieveTimeOut", "Generated", "Success", "Failed", "ConditionalSuccess", "ApprovedByAuthority", "Rejected" - `exchangeRateDate` (string) The date of the exchange rate used. The date is in yyyy-mm-dd format. Corresponds to the value specified in the Provider Exchange Rate Date column in the Import Foreign Exchange Rates template when you uploaded the rates through the Mass Updater. - `memoDate` (string) The date when the debit memo takes effect, in yyyy-mm-dd format. For example, 2024-01-01. - `memoNumber` (string) The unique identification number of the debit memo. - `postedById` (string) The ID of the Zuora user who posted the debit memo. - `postedOn` (string) The date and time when the debit memo was posted, in yyyy-mm-dd hh:mm:ss format. - `reasonCode` (string) A code identifying the reason for the transaction. The value must be an existing reason code or empty. - `sequenceSetId` (string,null) The ID of the sequence set associated with the debit memo. The value of this field is null if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled. - `source` (string) The source of the debit memo. Possible values: - BillRun: The debit memo is generated by a bill run. - API - ApiSubscribe: The debit memo is created by calling the [Create subscription](https://developer.zuora.com/api-references/api/operation/POST_Subscription) and [Create account](https://developer.zuora.com/api-references/api/operation/POST_Account) operation. - ApiAmend: The debit memo is created by calling the [Update subscription](https://developer.zuora.com/api-references/api/operation/PUT_Subscription) operation. - AdhocFromPrpc: The debit memo is created from a product rate plan charge through the Zuora UI or by calling the [Create a debit memo from a charge](https://developer.zuora.com/api-references/api/operation/POST_DebitMemoFromPrpc/) operation. - AdhocFromInvoice: The debit memo is created from an invoice or created by reversing an invoice. You can create a debit memo from an invoice through the Zuora UI or by calling the [Create a debit memo from an invoice](https://developer.zuora.com/api-references/api/operation/POST_DebitMemoFromInvoice/) operation. Enum: "BillRun", "API", "ApiSubscribe", "ApiAmend", "AdhocFromPrpc", "AdhocFromInvoice" - `sourceId` (string) The ID of the debit memo source. If a debit memo is generated from a bill run, the value is the number of the corresponding bill run. Otherwise, the value is null. - `sourceType` (string) The type of the debit memo source. Enum: "Subscription", "Standalone", "Order", "Consolidation", "Invoice", "CreditMemo" - `status` (string) The status of the debit memo. Enum: "Draft", "Posted", "Canceled", "Error", "PendingForTax", "Generating", "CancelInProgress" - `targetDate` (string) The target date for the debit memo, in yyyy-mm-dd format. For example, 2024-01-01. - `taxAmount` (number) The amount of taxation. - `taxMessage` (string,null) The message about the status of tax calculation related to the debit memo. If tax calculation fails in one debit memo, this field displays the reason for the failure. - `taxStatus` (string) The status of tax calculation related to the debit memo. Note: This field is only applicable to tax calculation by third-party tax engines. Also, the Voided status indicates that the tax transaction is successfully canceled on the tax vendor's side. If a tax transaction was successfully committed to the third-party tax engine but the invoice failed to post, Zuora automatically detects the issue and voids the tax transaction on the vendor's side. Enum: "Complete", "Error", "UnknownError", "DuplicateDoc", "InvalidRequest", "InvalidResponse", "TaxEngineError", "ConcurrentModify", "InternalServerError", "TaxCodeTemplateError", "Voided" - `shipToContactSnapshotId` (string) The ID of the ship-to contact snapshot associated with the debit memo. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `soldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the debit memo. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `taxAutoCalculation` (boolean) Whether to automatically calculate taxes in the debit memo. - `totalAmount` (number) The total amount of the debit memo, including taxes. - `totalAmountWithoutTax` (number) The total amount of the debit memo, excluding taxes. - `totalTaxExemptAmount` (number) The calculated tax amount excluded due to the exemption. - `transferredToAccounting` (string) Whether the debit memo was transferred to an external accounting system. This field is used for integration with accounting systems such as NetSuite. Enum: "Processing", "Yes", "No", "Error", "Ignore" - `invoiceId` (string) The ID of a referred invoice. - `accountId` (string) The ID of the customer account associated with the debit memo. - `paymentTerm` (string) The name of the payment term assoicated with the debit memo. The value of this field is null if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled. - `account` (object) - `account.id` (string) The unique identifier of the account. - `account.createdById` (string) The unique identifier of the user who created the account. - `account.createdDate` (string) The date and time when the account was created. - `account.updatedById` (string) The unique identifier of the user who last updated the account. - `account.updatedDate` (string) The date and time when the account was last updated. - `account.accountNumber` (string) The account number that identifies the account. - `account.additionalEmailAddresses` (string) An additional email address to receive email notifications. - `account.allowInvoiceEdit` (boolean) Indicates whether associated invoices can be edited. - `account.autoPay` (boolean) Indicates whether future payments are automatically collected when they are due during a payment run. - `account.balance` (number) The customer's total invoice balance minus credit balance. - `account.batch` (string) The alias name given to a batch. A string of 50 characters or less. - `account.bcdSettingOption` (string) The billing cycle day setting option for the account. Enum: "ManualSet", "AutoSet" - `account.billCycleDay` (integer) Billing cycle day (BCD), the day of the month when a bill run generates invoices for the account. - `account.billToId` (string) The unique identifier of the bill-to contact associated with the account. - `account.communicationProfileId` (string) The unique identifier of the communication profile that Zuora uses when sending notifications to the account's contacts. - `account.creditBalance` (number) The current credit balance on the account. - `account.crmId` (string) External identifier of the account in a CRM system. - `account.currency` (string) A currency defined in the web-based UI administrative settings. - `account.customerServiceRepName` (string) Name of the account's customer service representative, if applicable. - `account.defaultPaymentMethodId` (string) ID of the default payment method for the account. - `account.eInvoiceProfileId` (string) ID of the e-invoice profile for this account. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `account.invoiceDeliveryPrefsEmail` (boolean) Indicates whether the customer wants to receive invoices through email. - `account.invoiceDeliveryPrefsPrint` (boolean) Whether the customer wants to receive printed invoices, such as through postal mail. - `account.invoiceTemplateId` (string) Invoice template ID, configured in Billing Settings in the Zuora UI. - `account.lastInvoiceDate` (string) Date of the most recent invoice for the account; null if no invoice has ever been generated. - `account.lastMetricsUpdate` (string) The date and time when account metrics are last updated, if the account is a partner account. Note: - This field is available only if you have the Reseller Account feature enabled. - If you ever set the partnerAccount field to true for an account, the value of lastMetricsUpdate field is the time when the account metrics are last updated. - `account.name` (string) The name of the account. - `account.notes` (string) A string of up to 65,535 characters. - `account.organizationId` (string) The unique identifier of the organization to which the account belongs. - `account.parentId` (string) Identifier of the parent customer account for this Account object. The length is 32 characters. Use this field if you have Customer Hierarchy enabled. - `account.partnerAccount` (boolean) Whether the customer account is a partner, distributor, or reseller. Note: This field is available only if you have the Reseller Account feature enabled. - `account.paymentMethodCascadingConsent` (boolean) true indicates the consent from your customer to use the Cascading Payment Method feature was collected. false indicates the consent was not collected and the Cascading Payment Method feature is not enabled. - `account.purchaseOrderNumber` (string) The purchase order number provided by your customer for services, products, or both purchased. - `account.salesRepName` (string) Name of the account's sales representative, if applicable. - `account.sequenceSetId` (string,null) The ID of the billing document sequence set to assign to the customer account. The billing documents to generate for this account will adopt the prefix and starting document number configured in the sequence set. If a customer account has no assigned billing document sequence set, billing documents generated for this account adopt the prefix and starting document number from the default sequence set. - `account.shipToId` (string) The unique identifier of the ship-to contact associated with the account. - `account.soldToId` (string) The unique identifier of the sold-to contact associated with the account. - `account.status` (string) The account status. Enum: "Active", "Draft", "Canceled" - `account.taxCompanyCode` (string) Unique code that identifies a company account in Avalara. Note: This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](https://support.zuora.com). - `account.taxExemptCertificateID` (string) ID of the customer tax exemption certificate. Applicable if you use Zuora Tax or Connect tax engines. - `account.taxExemptCertificateType` (string) Type of tax exemption certificate that the customer holds. Applicable if you use Zuora Tax or Connect tax engines. - `account.taxExemptDescription` (string) Description of the tax exemption certificate that the customer holds. Applicable if you use Zuora Tax or Connect tax engines. - `account.taxExemptEffectiveDate` (string) Date when the customer tax exemption starts, in YYYY-MM-DD format. Applicable if you use Zuora Tax or Connect tax engines. - `account.taxExemptEntityUseCode` (string) A unique entity use code to apply exemptions in Avalara AvaTax. See Exempt Transactions for more details. - `account.taxExemptExpirationDate` (string) Date when the customer tax exemption expires, in YYYY-MM-DD format. Applicable if you use Zuora Tax or Connect tax engines. - `account.taxExemptIssuingJurisdiction` (string) Jurisdiction in which the customer tax exemption certificate was issued. - `account.taxExemptStatus` (string) Status of the account tax exemption. Applicable if you use Zuora Tax or Connect tax engines. Required if you use Zuora Tax. Enum: "No", "Yes", "PendingVerification" - `account.totalInvoiceBalance` (number) Total balance of all posted invoices. - `account.unappliedBalance` (number) Total unapplied balance in this currency. - `account.vATId` (string) EU Value Added Tax ID. - `account.mrr` (number) Monthly recurring revenue for the account. - `account.totalDebitMemoBalance` (number) Total balance of all posted debit memos. - `account.unappliedCreditMemoAmount` (number) The total unapplied amount of all posted credit memos in this currency. - `account.creditMemoTemplateId` (string) ID of the credit memo template that is used to generate credit memos for the account. - `account.debitMemoTemplateId` (string) ID of the debit memo template that is used to generate debit memos for the account. - `account.paymentGateway` (string) The name of the payment gateway instance. If null or left unassigned, the account will use the default gateway. - `account.paymentTerm` (string) A payment-terms indicator defined in the web-based UI administrative settings, for example, Net 30. - `account.billTo` (object) The bill-to contact on this account. - `account.shipTo` (object) The ship-to contact on the account. - `account.soldTo` (object) The sold-to contact on the account. - `account.defaultPaymentMethod` (object) The default payment method associated with the account. - `account.subscriptions` (array) The subscriptions associated with the account. - `account.payments` (array) The payments associated with the account. - `account.refunds` (array) The refunds associated with the account. - `account.creditMemos` (array) The credit memos associated with the account. - `account.debitMemos` (array) The debit memos associated with the account. - `account.invoices` (array) The invoices associated with the account. - `account.usages` (array) The usage records associated with the account. - `account.paymentMethods` (array) The payment methods associated with the account. - `billToContact` (object) - `billToContact.id` (string) The unique identifier of the contact. - `billToContact.createdById` (string) The unique identifier of the user who created the contact. - `billToContact.createdDate` (string) The date and time when the contact was created. - `billToContact.updatedById` (string) The unique identifier of the user who last updated the contact. - `billToContact.updatedDate` (string) The date and time when the contact was last updated. - `billToContact.accountId` (string) The ID of the account associated with the contact. - `billToContact.address1` (string) The first line of the contact's address, which is often a street address or business name. - `billToContact.address2` (string) The second line of the contact's address. - `billToContact.asBillTo` (boolean) Indicates whether the contact can be specified as a bill-to contact. - `billToContact.asShipTo` (boolean) Indicates whether the contact can be specified as a ship-to contact. - `billToContact.asSoldTo` (boolean) Indicates whether the contact can be specified as a sold-to contact. - `billToContact.city` (string) The city of the contact's address. - `billToContact.country` (string) The country of the contact's address. - `billToContact.county` (string) The county. May optionally be used by Zuora Tax to calculate county tax. - `billToContact.fax` (string) The contact's fax number. - `billToContact.description` (string) A description for the contact. - `billToContact.firstName` (string) The contact's first name. - `billToContact.homePhone` (string) The contact's home phone number. - `billToContact.lastName` (string) The contact's last name. - `billToContact.mobilePhone` (string) The mobile phone number of the contact. - `billToContact.nickname` (string) A nickname for the contact. - `billToContact.otherPhone` (string) An additional phone number for the contact. - `billToContact.otherPhoneType` (string) The type of the additional phone number. Enum: "Work", "Mobile", "Home", "Other" - `billToContact.personalEmail` (string) The contact's personal email address. - `billToContact.state` (string) The state or province of the contact's address. - `billToContact.postalCode` (string) ZIP code or other postal code of the contact's address. - `billToContact.taxRegion` (string) If using Zuora Tax, a region string as optionally defined in your tax rules. - `billToContact.workEmail` (string) The contact's business email address. - `billToContact.workPhone` (string) The contact's business phone number. - `debitMemoItems` (array) - `debitMemoItems.id` (string) The unique identifier of the debit memo item. - `debitMemoItems.createdById` (string) The unique identifier of the user who created the debit memo item. - `debitMemoItems.createdDate` (string) The date and time when the debit memo item was created. - `debitMemoItems.updatedById` (string) The unique identifier of the user who last updated the debit memo item. - `debitMemoItems.updatedDate` (string) The date and time when the debit memo item was last updated. - `debitMemoItems.amount` (number) The amount of the debit memo item. For tax-inclusive debit memo items, the amount indicates the debit memo item amount including tax. For tax-exclusive debit memo items, the amount indicates the debit memo item amount excluding tax. - `debitMemoItems.amountWithoutTax` (number) The debit memo item amount excluding tax. - `debitMemoItems.appliedToItemId` (string) The parent debit memo item that this debit memo items is applied to if this item is discount. - `debitMemoItems.appliedToOthersAmount` (number) - `debitMemoItems.beAppliedByOthersAmount` (number) - `debitMemoItems.chargeDate` (string) The date when the debit memo item is charged, in yyyy-mm-dd hh:mm:ss format. - `debitMemoItems.creditMemoItemId` (string) - `debitMemoItems.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude the debit memo item from revenue accounting. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `debitMemoItems.description` (string) The description of the debit memo item. - `debitMemoItems.itemShipToContactId` (any) The ID of the ship-to contact associated with the debit memo item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `debitMemoItems.itemSoldToContactId` (string) The ID of the sold-to contact associated with the debit memo item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `debitMemoItems.itemSoldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the debit memo item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `debitMemoItems.processingType` (string) The type of the charge for the debit memo item. - 0: charge - 1: discount Enum: "0", "1" - `debitMemoItems.quantity` (number) The number of units for the debit memo item. - `debitMemoItems.reflectDiscountInNetAmount` (boolean) When you apply percentage discounts to either of the following charges, you need to set the reflectDiscountInNetAmount field on your discount charge to true, to enable calculating and displaying the net amount of the following charges in Zuora Revenue. * delivery pricing charge * prepayment charge * drawdown charge Note the following: * If you are an Order to Revenue customer, when you set the reflectDiscountInNetAmount field to true, you must also set the excludeItemBillingFromRevenueAccounting field to true. * If you are a Billing - Revenue Integration customer, you must set the reflectDiscountInNetAmount field to false, otherwise an error will be returned. Billing - Revenue Integration does not support discounts on the preceding charges. * If you are a Zuora Billing customer who does not enable the Order to Revenue or Billing - Revenue Integration feature, when you apply percentage discounts to the preceding charges, you also need to set the reflectDiscountInNetAmount field to true. - `debitMemoItems.serviceEndDate` (string) The end date of the service period associated with this debit memo item. Service ends one second before the date specified in this field. - `debitMemoItems.serviceStartDate` (string) The start date of the service period associated with this debit memo item. If the associated charge is a one-time fee, this date is the date of that charge. - `debitMemoItems.sku` (string) The SKU for the product associated with the debit memo item. - `debitMemoItems.sourceItemType` (string) The type of the source item. Enum: "CreditMemoItem", "SubscriptionComponent", "InvoiceDetail", "ProductRatePlanCharge" - `debitMemoItems.chargeName` (string) The name of the charge associated with the debit memo item. - `debitMemoItems.chargeNumber` (string) The number of the charge associated with the debit memo item. - `debitMemoItems.taxAmount` (number) The amount of tax on this debit memo. - `debitMemoItems.taxCodeName` (string) Name of the tax code identifies which tax rules and tax rates to apply to a specific debit memo item. - `debitMemoItems.taxExemptAmount` (number) The calculated tax amount excluded due to the exemption. - `debitMemoItems.taxMode` (string) The tax mode of the debit memo item, indicating whether the amount of the debit memo item includes tax. Enum: "TaxExclusive", "TaxInclusive" - `debitMemoItems.unitOfMeasure` (string) The units to measure usage. - `debitMemoItems.unitPrice` (number) The per-unit price of the debit memo item. - `debitMemoItems.subscriptionId` (string) The ID of the subscription associated with the debit memo item. - `debitMemoItems.subscriptionNumber` (string) The number of the subscription associated with the debit memo item. - `debitMemoItems.invoiceItemId` (string) The ID of the invoice item associated with the debit memo item. - `debitMemoItems.productRatePlanChargeId` (string) The ID of the product rate plan charge based on which the debit memo item is created. - `debitMemoItems.ratePlanChargeId` (string) The ID of the rate plan charge associated with the debit memo item. - `debitMemoItems.debitMemoId` (string) The ID of the debit memo to which this debit memo item belongs. - `debitMemoItems.balance` (number) The balance of the debit memo item. - `debitMemoItems.recognizedRevenueAccountingCodeId` (string) The Recognized Revenue accounting code for the credit memo item. - `debitMemoItems.accountReceivableAccountingCodeId` (string) The Account Receivable accounting code for the credit memo item. - `debitMemoItems.deferredRevenueAccountingCodeId` (string) The Deferred Revenue accounting code for the credit memo item. - `debitMemoItems.journalEntryId` (string) The ID of the journal entry that corresponds to this transaction. - `debitMemoItems.soldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the credit memo. - `debitMemoItems.billToContactSnapshotId` (string) The ID of the bill-to contact snapshot associated with the credit memo. - `debitMemoItems.subscription` (object) The subscription associated with the debit memo item. - `debitMemoItems.ratePlanCharge` (object) The rate plan charge associated with the debit memo item. - `billToContactSnapshot` (object) - `billToContactSnapshot.id` (string) The unique identifier of the contact snapshot. - `billToContactSnapshot.createdById` (string) The unique identifier of the user who created the snapshot. - `billToContactSnapshot.createdDate` (string) The date and time when the contact snapshot was created. - `billToContactSnapshot.updatedById` (string) The unique identifier of the user who last updated the snapshot. - `billToContactSnapshot.updatedDate` (string) The date and time when the contact snapshot was last updated. - `billToContactSnapshot.accountId` (string) The unique identifier of the associated billing account. - `billToContactSnapshot.contactId` (string) The unique identifier of the original contact. - `billToContactSnapshot.firstName` (string) The first name of the contact. - `billToContactSnapshot.lastName` (string) The last name of the contact. - `billToContactSnapshot.nickName` (string) The nickname of the contact. - `billToContactSnapshot.address1` (string) The first line of the address. - `billToContactSnapshot.address2` (string) The second line of the address. - `billToContactSnapshot.postalCode` (string) The postal or ZIP code. - `billToContactSnapshot.county` (string) The county or region of the contact. - `billToContactSnapshot.country` (string) The county or region of the contact. - `billToContactSnapshot.taxRegion` (string) The tax region applicable to the contact. - `billToContactSnapshot.description` (string) The free-form description of the contact snapshot. - `billToContactSnapshot.homePhone` (string) The home phone number. - `billToContactSnapshot.otherPhone` (string) Any other phone number. - `billToContactSnapshot.otherPhoneType` (string) The type of the other phone number. - `billToContactSnapshot.fax` (string) The fax number. - `billToContactSnapshot.personalEmail` (string) The personal email address. - `billToContactSnapshot.workEmail` (string) The personal email address. - `billToContactSnapshot.deleted` (boolean) Indicates whether the contact snapshot is marked as deleted. - `soldToContactSnapshot` (object) - `shipToContactSnapshot` (object) ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.